Commit cf77caa7 authored by Pierre Dittgen's avatar Pierre Dittgen
Browse files

Upgrade dependencies (frictionless 4.10.6)

parent 37ef2aa7
# CHANGELOG
## next
- Upgrade requirements (freeze frictionless dependency to latest `4.10.6`)
## 0.7.3
- Add `ValidataSourceError` to handle with exceptions raised during source reading
......
......@@ -4,7 +4,7 @@
#
# pip-compile
#
attrs==20.3.0
attrs==21.2.0
# via jsonschema
certifi==2020.12.5
# via requests
......@@ -16,17 +16,17 @@ click==7.1.2
# via typer
colorama==0.4.4
# via typer
decorator==4.4.2
decorator==5.0.9
# via validators
et-xmlfile==1.0.1
et-xmlfile==1.1.0
# via openpyxl
ezodf==0.3.2
# via validata_core (setup.py)
frictionless[excel]==4.2.1
frictionless[excel]==4.10.6
# via validata_core (setup.py)
idna==2.10
# via requests
importlib-resources==5.1.2
importlib-resources==5.1.4
# via validata_core (setup.py)
isodate==0.6.0
# via frictionless
......@@ -34,15 +34,15 @@ jsonschema==3.2.0
# via frictionless
lxml==4.6.3
# via validata_core (setup.py)
numpy==1.20.1
numpy==1.20.3
# via pandas
openpyxl==3.0.7
# via
# frictionless
# validata_core (setup.py)
pandas==1.2.3
pandas==1.2.4
# via tablib
petl==1.7.2
petl==1.7.4
# via frictionless
pyrsistent==0.17.3
# via jsonschema
......@@ -50,7 +50,7 @@ python-dateutil==2.8.1
# via
# frictionless
# pandas
python-slugify==4.0.1
python-slugify==5.0.2
# via frictionless
python-stdnum==1.16
# via validata_core (setup.py)
......@@ -62,13 +62,13 @@ requests==2.25.1
# via
# frictionless
# validata_core (setup.py)
rfc3986==1.4.0
rfc3986==1.5.0
# via frictionless
shellingham==1.4.0
# via typer
simpleeval==0.9.10
# via frictionless
six==1.15.0
six==1.16.0
# via
# isodate
# jsonschema
......@@ -92,6 +92,8 @@ xlrd==2.0.1
# via frictionless
xlwt==1.3.0
# via frictionless
zipp==3.4.1
# via importlib-resources
# The following packages are considered to be unsafe in a requirements file:
# setuptools
......@@ -45,7 +45,7 @@ setup(
zip_safe=True,
install_requires=[
"ezodf",
"frictionless[excel] == 4.2.1",
"frictionless[excel] == 4.10.6",
"importlib_resources",
"openpyxl",
"lxml",
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment